\version "2.24.0"
\language "english"
\header {
	title = "ネクロファンタジア"
	subtitle = "東方妖々夢　～ Perfect Cherry Blossom"
	composer = "ZUN"
	poet = "Adapted by Jacky Yang, Leni Aniva"
}
violin = \new Staff \with {
	instrumentName = "Violin"
	shortInstrumentName = "V."
	midiInstrument = "violin"
}
\relative {
	\tempo 4 = 164
	\numericTimeSignature
	\time 4/4
	\override Accidental.hide-tied-accidental-after-break = ##t
	\key cs \minor
	\repeat volta 2
	{
		cs''=''8 e\open   gs ds4 fs8  b  gs~   |
		gs8 fs e\open  ds4         e8-4 ds  b  |
		fs='8    cs' e-4  c4  ds8  gs e~\open  |
		e8  cs gs e'-4 ds16 e-4 ds e-4 cs8 ds8 |
		e=''8\open    fs  gs fs4
		\override NoteHead.color = "blue"
		                          b8  cs
		\override NoteHead.color = "black"
	                                  gs~ |
		gs8 b  fs gs      e-4 gs,  ds' gs, |
		gs='8    cs  e-4  ds4 gs,8 fs  gs~ |
		\alternative {
			\volta 1 { gs2               gs8 gs b ds | }
			\volta 2 { gs,='2~\repeatTie gs8 r4.     | }
		}
	}
	\key cs \major
	\repeat volta 2
   {
		as='4   es' bs es  | cs4. ds4. gs4 | as4.-3
		\override NoteHead.color = "blue"
		                                            a2~-1 a8 | cs4. bs4. as4~ |
		as=''4.
		\override NoteHead.color = "black"
		        gs4.-2 as4 | es4  gs ds bs | cs4. bs2~ bs8 |
		\alternative {
			\volta 1 { es=''4. ds2~ ds8 }
			\volta 2 { es1 }
		} |
	}
	\key fs \minor
	\repeat volta 2
   {
		% Modifications cf. the one by Jacky Yang
		% 1. Moved down by an octave
      % 2. Removed notes across an octave
		d=''4  d8 d r d d r      | cs4 cs8 e4 e8 fs8 r8 |
		d=''4   r8 cs4 r8 d4     | r1                   |
		<b=' b'>4-1-4 8 8 r8 8 8 r8  | <cs cs'>4-1-4 8 8 r8 8 8 r8    |
		<cs cs'='''>4 8 8 r8 8 8 r8 | fs4-1 r8 fs4 r8 fs4   |
		%d'='''4  d8 d r d d r   | cs4 cs8 e4 e8 fs8 r8 |
		%d='''4   r8 cs4 r8 d4   | r1                   |
		%<b, b'>4 8 8 r8 8 8 r8  | <cs cs'>4 8 8 r8 8 8 r8 |
		%cs'=''4 8 8 r8 cs8 8 r8 | fs,4 r8 bf4 r8 fs4      |
	}

	\key a \minor
	r1 |
	\repeat volta 2 {

	e=''4-2 c'-3 b d,8 e~ | e=''2..          r8  |
	e4      d'   c b8 c8~ | c='''4  b a g8-2 a8~ |
	a4      g    e g8 a8~ | a=''4   g e g8   e~  |
	e4      d-1  e g8  e~ | e=''2..          r8  |
	e=''4-2 c'-3 b d,8 e~ | e=''2..          r8  |
	e=''4   d'   c b8 c8~ | c='''4  b a g8-2 a~  |
	a=''4   g    e g8  a~ | a=''4   g e g8 <cs, a'>~-2-3 |
	1~                    | 2.. r8 |

	\volta 2 \fine
	\volta 1

	|
	c=''4 e  d  b8 c8~ | c2..      r8   |
	c4    d  e  d8 e8~ | e4 d c b8 c8~  |
	c4    b  a  b8 c8~ | c4 b a b8 a8~  |
	a4    b  c  b8 c8~ | c2..      r8   |
	a='4  e' d  b8 c8~ | c2..      r8   |
	c4    d  e  d8 e8~ | e4 d c b8 c8~  |
	c4    b  a  b8 c8~ | c4 b a b8 cs8~ |
	1~                 | 2..       r8   |

	% same section as above, but shifted up, and with more "colourful" notes
	%c='''4 e  d  b8  c8~ | c2..        r8   |
	%c4      d  e  d8  e8~ | e4 d c  b8  c8~  |
	%c4      b  e, b'8 c8~ | c4 b e, b'8 e,8~ |
	%e4      d  c  g'8 a8~ | a2..        r8   |
	%a=''4   e' d  b8  c8~ | c2..        r8   |
	%c4      d  e  d8  e8~ | e4 d c  b8  c8~  |
	%c4      b  a  b8  c8~ | c4 b a  b8  cs8~ |
	%1~                    | 2..         r8   |

	\key gs \minor
	gs='2..-1        r8   | gs4  as b  cs8 gs8~ |
	gs2..            r8   | ds'4 cs b  cs8 b8~  |
	b4-3 as-3 gs as8 b8~  | b4   as gs as8 b8~  |
	b4   cs   ds cs8 ds8~ | ds2..          r8   |
	ds=''2..         r8   | gs,4 as b  as8 b8~  |
	b4 as gs  fs8    gs8~ | gs2..-2        r8   |
	ds'4-1 cs b  cs8 b8~  | b4   as gs as8 bs8~ |
	1~                    | 2..            r8   |

	% Fitted closer to ZUN version
	%ds='''2..      r8   | gs,4 as b   as8 b8~  |
	%b4 as gs  fs8  gs8~ | gs2..           r8   |
	%ds'4 as b  cs8  b8~  | b4  as gs  as8  bs8~ |
	%bs1~                | bs2..           r8   |

	% The original last 32 bars (below * 2) are slightly different
	%gs=''2..       r8   | gs4 as b   cs8  gs8~ |
	%gs2..          r8   | gs4 cs b   cs8  b8~  |
	%b4 as gs  as8  b8~  | b4  as ds, as'8 b8~  |
	%b4 cs ds  cs8  ds8~ | ds2..           r8   |
	%ds='''2..      r8   | gs,4 as b   as8  b8~ |
	%b4 as gs  fs8  gs8~ | gs2..           r8   |
	%gs4 as b  cs8  gs8~ | gs4 as gs  as8  bs8~ |
	%bs1~                | bs2..           r8   |
	}
}

\score {
	\violin
	\layout {
		\context {
			\Score
			proportionalNotationDuration = #(ly:make-moment 1/4)
			\override SpacingSpanner.uniform-stretching = ##t
			\override SpacingSpanner.strict-grace-spacing = ##t
		}
	}
}
\score {
	\unfoldRepeats {
		\violin
	}
	\midi {  }
}
